FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Uninstall 2.6.15 Question
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Uninstall 2.6.15 Question [message #26289] Tue, 12 July 2005 19:34 Go to next message
WilliamBurns is currently offline  WilliamBurns   United States
Messages: 123
Registered: March 2004
Location: San Jose, CA
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
I am in the process of moving my website to another ISP. I have a temporary account at the new site, and I attempted to install the new FUDforum release on it. I got into immediate trouble, because the forum was trying to find and display things at http://localhost..., and that, of course does not resolve to anyplace in particular, especially my remote ISP. So, since I couldn't get in to the control panel, I attempted to uninstall the forum. That seemed to work just fine, and I will install it again after I get the site up and running. But it left everything in the browsable folder. I removed most of it by hand, but I don't understand why I am unable to CHMOD the top three folders (adm, images, and theme) and delete them. How do I get rid of them? And, for the record, IS there a way to install the forum on this temporary account and then switch it when the domain name is all moved in?
Re: Uninstall 2.6.15 Question [message #26290 is a reply to message #26289] Tue, 12 July 2005 20:01 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Check those directories, they probably have files in them?

Forum would try to use localhost if you specified that as the hostname during the install procedure.

You can change the forum's location post install by altering the WWW_ROOT and rebuilding the theme.


FUDforum Core Developer
Re: Uninstall 2.6.15 Question [message #26545 is a reply to message #26289] Tue, 26 July 2005 17:17 Go to previous messageGo to next message
WilliamBurns is currently offline  WilliamBurns   United States
Messages: 123
Registered: March 2004
Location: San Jose, CA
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Thanks.
I also notice that the uninstall process leaves a large number of tables laying around in my mysql database. I have gone through and manually dropped all the tables that had the 2.6 in the table name. There are a modest handful of tables that did not have 2.6 in the name (host, db, func, and a couple of _priv tables, for example), and I am kind of afraid to drop them. If I DO NOT drop them, will the install.php work ok? Or will it balk at finding a table existent that it wants to create?
Re: Uninstall 2.6.15 Question [message #26546 is a reply to message #26545] Tue, 26 July 2005 17:25 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Install will ALWAYS work on top of another install, so you don't have to worry about it.

However, for completion of uninstall script, if you could tell me which tables got left over (table names) I'll look into the cause of that.


FUDforum Core Developer
Re: Uninstall 2.6.15 Question [message #26696 is a reply to message #26546] Wed, 03 August 2005 19:57 Go to previous messageGo to next message
WilliamBurns is currently offline  WilliamBurns   United States
Messages: 123
Registered: March 2004
Location: San Jose, CA
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Thanks,
I'll see if I can piece anything together regarding the leftover tables. Having already deleted all the ones that had 26 in the name, I can't do it yet. Meanwhile...
My original problem was in transferring the forum and data to a new IP host. I wanted to upgrade my "old" forum from 2.6.4 to 2.6.15, export the data, install 2.6.15 on my new site, configure it so it has the same categories and topics, so that I cam smoothly import it all at my new website. I am having two questions:
1. I downloaded the 2.6.15 upgrade script, but when I upload it to my forum and try to access it, I get a "this page cannot be displayed" message in my browser. I tried several uploads, and tried ASCII as well as binary transfer. Perhaps it got corrupted when I downloaded it. I notice that it is 1388K in size, which seems awfully small. I will repeat the download from FUDforum to see if it is the same size (and behaves the same way). Before I attempt to run the script, I go into my forum and disable it. Is that right?
2. When I installed the forum on my old site, I installed 2.6.1 with table names including 261 rather than 26 or whatever the default was. Later, without changing any table names, I upgraded to 2.6.4. Now, if I can, I will upgrade the old site to 2.6.15. When I export the data from the old site (as in making a backup), am I going to have to name the tables on my new site with the same table name convention as used on the old site, or can I just use the default names and still be able to import all the data from the old site?
Re: Uninstall 2.6.15 Question [message #26710 is a reply to message #26696] Thu, 04 August 2005 13:36 Go to previous messageGo to next message
Ilia is currently offline  Ilia   United States
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
1.4 megs would be right size for the zlib version. The upgrade script will automatically "turn off" the forum.

When you do an import the data goes into the new tables.


FUDforum Core Developer
Re: Uninstall 2.6.15 Question [message #26713 is a reply to message #26289] Thu, 04 August 2005 15:02 Go to previous messageGo to next message
WilliamBurns is currently offline  WilliamBurns   United States
Messages: 123
Registered: March 2004
Location: San Jose, CA
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Thanks for the replies.
I checked the server log after trying both the zlib and the non zlib upgrade scripts. In both cases the message has to do with emalloc cannot allocate 4.8 megs (or 2.8 megs). Evidently my space is so cramped that I can't do the upgrade on the old site. So:
Will I be able to export from 2.6.4 and import to 2.6.15? If not, should I install 2.6.4 on the new site to effect this move? TIA!
Re: Uninstall 2.6.15 Question [message #26733 is a reply to message #26713] Sun, 07 August 2005 22:17 Go to previous message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Install 2.6.4 on the new site, import data into it and then upgrade to 2.6.15

FUDforum Core Developer
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Permission denied - out of disk space...
Next Topic: Japanese theme not working
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Thu Oct 19 21:46:26 EDT 2017

Total time taken to generate the page: 0.00725 seconds